<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>FAQ &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=cb25574f" />
    <script src="../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="License" href="license.html" />
    <link rel="prev" title="Change log" href="changelog.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="faq">
<h1>FAQ<a class="headerlink" href="#faq" title="Link to this heading">¶</a></h1>
<section id="error-during-installation-because-of-mkl-fft-mkl-random">
<h2>Error during installation because of mkl-fft/mkl-random<a class="headerlink" href="#error-during-installation-because-of-mkl-fft-mkl-random" title="Link to this heading">¶</a></h2>
<p><a class="reference external" href="https://github.com/Diego999/pyGAT/issues/9">https://github.com/Diego999/pyGAT/issues/9</a></p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span><span class="p">&amp;</span><span class="w"> </span>pip<span class="w"> </span>freeze<span class="w"> </span>&gt;<span class="w"> </span>requirements.txt
...
<span class="p">&amp;</span><span class="w"> </span>pip<span class="w"> </span>install<span class="w"> </span>-r<span class="w"> </span>requirements.txt
...
ERROR:<span class="w"> </span>Could<span class="w"> </span>not<span class="w"> </span>find<span class="w"> </span>a<span class="w"> </span>version<span class="w"> </span>that<span class="w"> </span>satisfies<span class="w"> </span>the<span class="w"> </span>requirement<span class="w"> </span>mkl-fft<span class="o">==</span><span class="m">1</span>.0.12<span class="w"> </span><span class="o">(</span>from<span class="w"> </span>-r<span class="w"> </span>pydecha_pipfreeze.txt<span class="w"> </span><span class="o">(</span>line<span class="w"> </span><span class="m">17</span><span class="o">))</span><span class="w"> </span><span class="o">(</span>from<span class="w"> </span>versions:<span class="w"> </span><span class="m">1</span>.0.0.17,<span class="w"> </span><span class="m">1</span>.0.2,<span class="w"> </span><span class="m">1</span>.0.6<span class="o">)</span>
ERROR:<span class="w"> </span>No<span class="w"> </span>matching<span class="w"> </span>distribution<span class="w"> </span>found<span class="w"> </span><span class="k">for</span><span class="w"> </span>mkl-fft<span class="o">==</span><span class="m">1</span>.0.12<span class="w"> </span><span class="o">(</span>from<span class="w"> </span>-r<span class="w"> </span>pydecha_pipfreeze.txt<span class="w"> </span><span class="o">(</span>line<span class="w"> </span><span class="m">17</span><span class="o">))</span>
</pre></div>
</div>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span><span class="p">&amp;</span><span class="w"> </span>pip<span class="w"> </span>freeze<span class="w"> </span>&gt;<span class="w"> </span>requirements.txt
...
<span class="p">&amp;</span><span class="w"> </span>pip<span class="w"> </span>install<span class="w"> </span>-r<span class="w"> </span>requirements.txt
...
ERROR:<span class="w"> </span>Could<span class="w"> </span>not<span class="w"> </span>find<span class="w"> </span>a<span class="w"> </span>version<span class="w"> </span>that<span class="w"> </span>satisfies<span class="w"> </span>the<span class="w"> </span>requirement<span class="w"> </span>mkl-random<span class="o">==</span><span class="m">1</span>.0.2<span class="w"> </span><span class="o">(</span>from<span class="w"> </span>-r<span class="w"> </span>pydecha_pipfreeze.txt<span class="w"> </span><span class="o">(</span>line<span class="w"> </span><span class="m">18</span><span class="o">))</span><span class="w"> </span><span class="o">(</span>from<span class="w"> </span>versions:<span class="w"> </span><span class="m">1</span>.0.0.8,<span class="w"> </span><span class="m">1</span>.0.1,<span class="w"> </span><span class="m">1</span>.0.1.1<span class="o">)</span>
ERROR:<span class="w"> </span>No<span class="w"> </span>matching<span class="w"> </span>distribution<span class="w"> </span>found<span class="w"> </span><span class="k">for</span><span class="w"> </span>mkl-random<span class="o">==</span><span class="m">1</span>.0.2<span class="w"> </span><span class="o">(</span>from<span class="w"> </span>-r<span class="w"> </span>pydecha_pipfreeze.txt<span class="w"> </span><span class="o">(</span>line<span class="w"> </span><span class="m">18</span><span class="o">))</span>
</pre></div>
</div>
<p>Using pip freeze list the modules as well as their version. For those two
modules, one way to solve the issue is to remove the version number:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>mkl-fft<span class="o">==</span><span class="m">1</span>.0.12
mkl-random<span class="o">==</span><span class="m">1</span>.0.2
</pre></div>
</div>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>mkl-fft
mkl-random
</pre></div>
</div>
</section>
<section id="error-during-the-yaml-configuration-file-import">
<h2>Error during the YAML configuration file import<a class="headerlink" href="#error-during-the-yaml-configuration-file-import" title="Link to this heading">¶</a></h2>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>---<span class="w"> </span>Logging<span class="w"> </span>error<span class="w"> </span>---
Traceback<span class="w"> </span><span class="o">(</span>most<span class="w"> </span>recent<span class="w"> </span>call<span class="w"> </span>last<span class="o">)</span>:
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/Softwares/data_analysis/pydecha/pydecha/methods/pydecha_methods.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">51</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>read_yamlreport
<span class="w">    </span><span class="nv">yaml_report</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>yaml.load<span class="o">(</span>stream,<span class="w"> </span><span class="nv">Loader</span><span class="o">=</span>yaml.FullLoader<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/__init__.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">114</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>load
<span class="w">    </span><span class="k">return</span><span class="w"> </span>loader.get_single_data<span class="o">()</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">43</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>get_single_data
<span class="w">    </span><span class="k">return</span><span class="w"> </span>self.construct_document<span class="o">(</span>node<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">52</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_document
<span class="w">    </span><span class="k">for</span><span class="w"> </span>dummy<span class="w"> </span><span class="k">in</span><span class="w"> </span>generator:
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">404</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_yaml_map
<span class="w">    </span><span class="nv">value</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>self.construct_mapping<span class="o">(</span>node<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">210</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_mapping
<span class="w">    </span><span class="k">return</span><span class="w"> </span>super<span class="o">()</span>.construct_mapping<span class="o">(</span>node,<span class="w"> </span><span class="nv">deep</span><span class="o">=</span>deep<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">135</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_mapping
<span class="w">    </span><span class="nv">value</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>self.construct_object<span class="o">(</span>value_node,<span class="w"> </span><span class="nv">deep</span><span class="o">=</span>deep<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">94</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_object
<span class="w">    </span><span class="nv">data</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>constructor<span class="o">(</span>self,<span class="w"> </span>tag_suffix,<span class="w"> </span>node<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">558</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>construct_python_module
<span class="w">    </span><span class="k">return</span><span class="w"> </span>self.find_python_module<span class="o">(</span>suffix,<span class="w"> </span>node.start_mark<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/site-packages/yaml/constructor.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">518</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>find_python_module
<span class="w">    </span><span class="s2">&quot;module %r is not imported&quot;</span><span class="w"> </span>%<span class="w"> </span>name,<span class="w"> </span>mark<span class="o">)</span>
yaml.constructor.ConstructorError:<span class="w"> </span><span class="k">while</span><span class="w"> </span>constructing<span class="w"> </span>a<span class="w"> </span>Python<span class="w"> </span>module
module<span class="w"> </span><span class="s1">&#39;monitoring_analysis&#39;</span><span class="w"> </span>is<span class="w"> </span>not<span class="w"> </span>imported
<span class="w">  </span><span class="k">in</span><span class="w"> </span><span class="s2">&quot;config/cmos_config-dsraid2.yaml&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">66</span>,<span class="w"> </span>column<span class="w"> </span><span class="m">20</span>

During<span class="w"> </span>handling<span class="w"> </span>of<span class="w"> </span>the<span class="w"> </span>above<span class="w"> </span>exception,<span class="w"> </span>another<span class="w"> </span>exception<span class="w"> </span>occurred:

Traceback<span class="w"> </span><span class="o">(</span>most<span class="w"> </span>recent<span class="w"> </span>call<span class="w"> </span>last<span class="o">)</span>:
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/logging/__init__.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">994</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>emit
<span class="w">    </span><span class="nv">msg</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>self.format<span class="o">(</span>record<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/logging/__init__.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">840</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>format
<span class="w">    </span><span class="k">return</span><span class="w"> </span>fmt.format<span class="o">(</span>record<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/logging/__init__.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">577</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>format
<span class="w">    </span>record.message<span class="w"> </span><span class="o">=</span><span class="w"> </span>record.getMessage<span class="o">()</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/anaconda3/envs/pydecha/lib/python3.6/logging/__init__.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">338</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>getMessage
<span class="w">    </span><span class="nv">msg</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>msg<span class="w"> </span>%<span class="w"> </span>self.args
TypeError:<span class="w"> </span>not<span class="w"> </span>all<span class="w"> </span>arguments<span class="w"> </span>converted<span class="w"> </span>during<span class="w"> </span>string<span class="w"> </span>formatting
Call<span class="w"> </span>stack:
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;pydecha/run.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">208</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>&lt;module&gt;
<span class="w">    </span>opts_prog.func<span class="o">(</span>opts_prog<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;pydecha/run.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">95</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>characterization
<span class="w">    </span><span class="nv">setting_dict</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>pdcm.read_yamlreport<span class="o">(</span><span class="s1">&#39;config/&#39;</span>+args.config<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/Softwares/data_analysis/pydecha/pydecha/methods/pydecha_methods.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">53</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>read_yamlreport
<span class="w">    </span>logger.critical<span class="o">(</span><span class="s1">&#39;YAML not opening, check YAML formatting&#39;</span>,<span class="w"> </span>exc<span class="o">)</span>
Message:<span class="w"> </span><span class="s1">&#39;YAML not opening, check YAML formatting&#39;</span>
Arguments:<span class="w"> </span><span class="o">(</span>ConstructorError<span class="o">(</span><span class="s1">&#39;while constructing a Python module&#39;</span>,<span class="w"> </span>&lt;yaml.error.Mark<span class="w"> </span>object<span class="w"> </span>at<span class="w"> </span>0x7f44b2e192b0&gt;,<span class="w"> </span><span class="s2">&quot;module &#39;monitoring_analysis&#39; is not imported&quot;</span>,<span class="w"> </span>&lt;yaml.error.Mark<span class="w"> </span>object<span class="w"> </span>at<span class="w"> </span>0x7f44b2e192b0&gt;<span class="o">)</span>,<span class="o">)</span>
Traceback<span class="w"> </span><span class="o">(</span>most<span class="w"> </span>recent<span class="w"> </span>call<span class="w"> </span>last<span class="o">)</span>:
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;pydecha/run.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">208</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>&lt;module&gt;
<span class="w">    </span>opts_prog.func<span class="o">(</span>opts_prog<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;pydecha/run.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">95</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>characterization
<span class="w">    </span><span class="nv">setting_dict</span><span class="w"> </span><span class="o">=</span><span class="w"> </span>pdcm.read_yamlreport<span class="o">(</span><span class="s1">&#39;config/&#39;</span>+args.config<span class="o">)</span>
<span class="w">  </span>File<span class="w"> </span><span class="s2">&quot;/SHARE/raid/users/bserra/Softwares/data_analysis/pydecha/pydecha/methods/pydecha_methods.py&quot;</span>,<span class="w"> </span>line<span class="w"> </span><span class="m">57</span>,<span class="w"> </span><span class="k">in</span><span class="w"> </span>read_yamlreport
<span class="w">    </span><span class="k">return</span><span class="w"> </span>yaml_report
UnboundLocalError:<span class="w"> </span><span class="nb">local</span><span class="w"> </span>variable<span class="w"> </span><span class="s1">&#39;yaml_report&#39;</span><span class="w"> </span>referenced<span class="w"> </span>before<span class="w"> </span>assignment
</pre></div>
</div>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules/new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_cmos.html">Modules CMOS</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Change log</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">FAQ</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#error-during-installation-because-of-mkl-fft-mkl-random">Error during installation because of mkl-fft/mkl-random</a></li>
<li class="toctree-l2"><a class="reference internal" href="#error-during-the-yaml-configuration-file-import">Error during the YAML configuration file import</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="changelog.html" title="previous chapter">Change log</a></li>
      <li>Next: <a href="license.html" title="next chapter">License</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../_sources/about/faq.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>